@import url(./reset.css);
@import url(./footer.css);
@import url(./header.css);
@import url(./speech_bubble.css);

html,
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: var(--p);
  line-height: 1.5;
  text-align: center;
}

/*Buttons*/
.button {
  border-radius: 10px;
  cursor: pointer;
  font-size: var(--button);
  border: none;
  transition: background-color 0.3s ease;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
  padding: 15px 15px;
  margin: 10px;
  max-width: 400px;
}

.style-1 {
  background-color: var(--main-color2);
  white-space: nowrap;
  min-width: 200px;
}

.inner-button {
  place-items: center;
  background-color: white;
  padding: 0px 90px;
  border-radius: 10px;
  color: var(--text-color-dark);
  display: inline-block;
  font-weight: bold;
  z-index: 2;
}
@media (max-width: 600px) {
  .inner-button {
    padding: 0px 10px;
  }
  .button {
    font-size: 1rem;
  }
}

.style-1:hover {
  background-color: var(--main-color3);
}

.style-2 {
  margin-top: 100px;
  background-color: var(--main-color3);
  white-space: normal;
}

.style-2:hover {
  background-color: var(--main-color4);
}

.style-3 {
  margin: 30px;
  min-width: 200px;
  background-color: var(--main-color4);
  white-space: normal;
}

.style-3:hover {
  background-color: var(--main-color2);
}

.button-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1040px) {
  .button-container {
    flex-direction: column-reverse;
  }
  .style-3 {
    margin: 10px;
    width: 350px;
  }
  .button-container .inner-button {
    width: 300px;
  }
}

@media (max-width: 600px) {
  .style-3 {
    width: 300px;
  }
  .button-container .inner-button {
    width: 250px;
  }
}

/* Font*/
h1,
h2,
h3 {
  font-family: "Londrina Solid", sans-serif;
}

h4,
h5,
h6,
button,
li,
a,
span {
  font-family: "Londrina Solid-light", sans-serif;
}

body,
article,
p {
  font-family: "Merriweather", serif;
}

h1 {
  font-size: var(--h1);
  z-index: 1;
  font-weight: 900;
}

h2 {
  font-size: var(--h2);
  z-index: 1;
  font-weight: 400;
}

h3 {
  font-size: var(--h3);
  font-weight: 400;
}

h4 {
  font-size: var(--h4);
  font-weight: 400;
}

h5 {
  font-size: var(--h5);
  font-weight: 300;
}

h6 {
  font-size: var(--h6);
  font-weight: 300;
}

@media (max-width: 600px) {
  h1 {
    font-size: var(--h3);
  }
  h2,
  h3 {
    font-size: var(--h4);
  }
}
/* variables */
:root {
  --main-color2: rgba(124, 156, 191, 1);
  --main-color3: rgba(171, 60, 164, 1);
  --main-color4: rgba(97, 14, 154, 1);
  --main-color5: rgba(250, 239, 177, 1);
  --main-color6: rgba(251, 173, 131, 1);
  --dark-background-color: rgb(72, 71, 71);
  --footer-color: rgb(88, 76, 76);
  --text-color-dark: rgba(61, 57, 81, 1); /*nav*/
  --text-color-light: rgba(252, 255, 233, 1);
  /* ------------------------------ */
  --h1: 2.5em;
  --h2: 2em;
  --h3: 1.75em;
  --h4: 1.5em;
  --h5: 1em;
  --h6: 0.75em;
  --p: 1.125rem;
  --button: 1.2rem;
}

/* Common class */
.full-width-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  z-index: 1;
}

/* Common containers */
.container-1 {
  position: relative;
  overflow: hidden;
}

.container-1 .full-width-image {
  height: 600px;
}

@media (max-width: 900px) {
  .container-1 .full-width-image {
    height: 250px;
  }
}
